{

    //暴击时恢复1%生命值（有0.1s内置CD）

    //按下扳机后就再也不想松开了，最好的防守就是进攻，那不停进攻就等于绝对防御！

    "AbilityName":"Card_Gun_1000306",

    "AbilityStacking":"Unique",

    "DefaultModifier":

    {

        "ModifierStacking":"Unique",

        "OnAttackLanded" :  

        [

            {

                "$type": "MoleMole.ApplyModifier",

                "ModifierName" : "CriticalHpUp",

                "Target" : "Self",

                "Predicates":

                [

                    {

						"$type": "MoleMole.ByHitResult",

						"HitResult" : "Critical",

                        "Target" : "Self"

					}

                ]

            }

        ]

    },

    "Modifiers" :

    {   

        "CriticalHpUp" :

        {

            "ModifierStacking":"Unique",

            "Duration" : "%TimeOfDuration",

            "OnAdded":

            [

                {

                    "$type": "MoleMole.ModifyProperty",

                    "Target" : "Self",

                    "PropertyType": "CurHP", 

                    "PropertyModifyFunction": "Add", 

                    "Percentage": "%HPRecoverRatio"

                }

            ]

        }

    },

    "AbilitySpecials" : 

    {

        "HPRecoverRatio" :

        {

            "Value" : 0.01

        },

        "TimeOfDuration" :

        {

            "Value" : 1

        }

    }

}